Skip to main content

Collection

List collections

Searches for a list of matching collections. Each collection is described by its name and dataset id. Either use the datasetName and workspaceName params to filter by dataset/workspace name, or use datasetId to search in a specific dataset.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

Search pattern to match collection names. If no search pattern is supplied then all collections are returned for the dataset.

Only returns collections within this dataset.

Determines how the search pattern matches the collection name. Wildcards '*' can be used with the 'like' match.

Default value: 'equals'.

Allowed values: 'equals', 'startswith', 'endswith', 'includes', 'like'.

Search pattern to match dataset name. Only collections within matching dataset names are returned.

Search pattern to match workspace name. Only collections within matching workspace names are returned.

Only returns collections within this workspace.

Return collections starting at this offset.

Limit how many collections are returned.

Returns

200

Successful response.

List of matching collections

Collection identifier

Name of collection

Identifier of dataset that the collection belongs to

Date/time when the collection was created.

The maximum number of items to return. Optional.

The number of items to skip before starting to collect the result set.

Endpoint

GET
/collection

Request

curl -X GET 'https://imago.api.seequent.com/integrate/2/collection' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"collections": [
{
"id": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"name": "RC-01001",
"datasetId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"createdOn": "2022-05-02T01:14:34.366Z"
}
],
"meta": {
"limit": 50,
"offset": 0
}
}

Create a collection

Adds a new collection to a dataset. If the new collection already exists in the dataset then no action is taken.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

Name of workspace for the new collection.

Name of dataset for the new collection.

Name of new collection.

{
"workspaceName": "Firefly Resource Development",
"datasetName": "Drilling Chips",
"name": "RC-01001"
}

Returns

200

Successful response.

New collection identifier.

Name of new collection.

Identifier of dataset that the collection belongs to.

Date/time when the collection was created.

Endpoint

POST
/collection

Request

curl -X POST 'https://imago.api.seequent.com/integrate/2/collection' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"workspaceName": "Firefly Resource Development",
"datasetName": "Drilling Chips",
"name": "RC-01001"
}'

Response

{
"id": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"name": "RC-01001",
"datasetId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"createdOn": "2022-05-02T01:14:34.366Z"
}

Was this page helpful?